Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eltima.chart
Class SeriesModel

    java.lang.Object
      com.eltima.chart.SeriesModel

All Implemented Interfaces:
  java.io.Serializable

    public class SeriesModel

extends java.lang.Object
implements java.io.Serializable

The SeriesModel class.

Copyright: Copyright (c) 2000-2007

Company: Eltima Software

Version:
  5.1
Author:
  [SoftInfinity Dpt.]
See Also:
  Serialized Form

Field Summary
`static int` | `POSITION_CENTER`
`static int` | `POSITION_INSIDE`
`static int` | `POSITION_OUTSIDE`

Constructor Summary
`SeriesModel()` Creates new instance of SeriesModel.
`SeriesModel(LineModel lineM, GradientModel gradientM, LabelModel labelM)` Creates new instance of SeriesModel with specified LineModel, GradientModel, LabelModel.

Method Summary
`GradientModel` | `getGradientModel()` Returns the GradientModel.
`int` | `getLabelMargin()` Returns the label margin.
`LabelModel` | `getLabelModel()` Returns the LabelModel.
`int` | `getLabelPosition()` Returns the label position.
`LineModel` | `getLineModel()` Returns the LineModel.
`MarkerModel` | `getMarkerModel()` Returns the MarkerModel.
`int` | `getRendererType()` Returns the renderer type.
`void` | `setGradientModel(GradientModel model)` Sets the GradientModel.
`void` | `setLabelMargin(int margin)` Sets the label margin.
`void` | `setLabelModel(LabelModel model)` Sets the LabelModel.
`void` | `setLabelPosition(int position)` Sets the label position
`void` | `setLineModel(LineModel model)` Sets the LineModel.
`void` | `setMarkerModel(MarkerModel model)` Sets the MarkerModel.
`void` | `setRendererType(int type)` Sets the renderer type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POSITION_OUTSIDE

    public static final int POSITION_OUTSIDE

See Also:
  Constant Field Values

### POSITION_INSIDE

    public static final int POSITION_INSIDE

See Also:
  Constant Field Values

### POSITION_CENTER

    public static final int POSITION_CENTER

See Also:
  Constant Field Values

Constructor Detail

### SeriesModel

    public SeriesModel()

  Creates new instance of SeriesModel.

### SeriesModel

    public SeriesModel(LineModel lineM,
                       GradientModel gradientM,
                       LabelModel labelM)

  Creates new instance of SeriesModel with specified LineModel, GradientModel, LabelModel.

  Parameters:
    `lineM` - LineModel
    `gradientM` - GradientModel
    `labelM` - LabelModel

Method Detail

### getGradientModel

    public GradientModel getGradientModel()

  Returns the GradientModel.

  Returns:
    GradientModel

### getLineModel

    public LineModel getLineModel()

  Returns the LineModel.

  Returns:
    LineModel

### getLabelModel

    public LabelModel getLabelModel()

  Returns the LabelModel.

  Returns:
    LabelModel

### setGradientModel

    public void setGradientModel(GradientModel model)

  Sets the GradientModel.

  Parameters:
    `model` - GradientModel

### setLineModel

    public void setLineModel(LineModel model)

  Sets the LineModel.

  Parameters:
    `model` - LineModel

### setLabelModel

    public void setLabelModel(LabelModel model)

  Sets the LabelModel.

  Parameters:
    `model` - LabelModel

### getLabelMargin

    public int getLabelMargin()

  Returns the label margin.

  Returns:
    int

### setLabelMargin

    public void setLabelMargin(int margin)

  Sets the label margin.

  Parameters:
    `margin` - int

### getRendererType

    public int getRendererType()

  Returns the renderer type.

  Returns:
    int

### setRendererType

    public void setRendererType(int type)

  Sets the renderer type.

  Parameters:
    `type` - int

### getMarkerModel

    public MarkerModel getMarkerModel()

  Returns the MarkerModel.

  Returns:
    MarkerModel

### setMarkerModel

    public void setMarkerModel(MarkerModel model)

  Sets the MarkerModel.

  Parameters:
    `model` - MarkerModel

### getLabelPosition

    public int getLabelPosition()

  Returns the label position.

  Returns:
    int

### setLabelPosition

    public void setLabelPosition(int position)

  Sets the label position

  Parameters:
    `position` - POSITION_OUTSIDE, POSITION_INSIDE or POSITION_CENTER.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Eltima Software. All Rights Reserved.